# --------------------------
# HydRoStat v1.0
# Copyright 2017 Irstea, IDDN.FR.001.460013.000.S.C.2017.000.20700
# Author: Benjamin Renard

# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License as published by the Free 
# Software Foundation, either version 3 of the License, or (at your option) 
# any later version.

# This program is distributed in the hope that it will be useful, but WITHOUT 
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for 
# more details.

# A copy of the GNU General Public License is provided within this 
# distribution.
# See also <https://www.gnu.org/licenses/>.
# --------------------------

# requires
require(evd)
require(mvtnorm)
require(numDeriv)

# sources
source("Estimation_SharedTools.R")
source("Estimation_ROUGH.R")
source("Estimation_ML.R")
source("Estimation_MOM.R")
source("Estimation_LMOM.R")
source("Estimation_BAY.R")
source("Distributions_lib.R")
source("DescriptiveStats.R")
source("Tests.R")
source("MCMC.R")
source("Hydro3Stats.R")
